Notus API
Smart wallets

Create Recurring Tax Export Schedule

Creates a recurring tax export schedule for a wallet and sends exports by email at the start of each month.

POST
/api/v1/wallets/{walletAddress}/tax-export/schedules

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

walletAddress*string

Wallet address used for recurring tax exports

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/wallets/0xa2acc967a9fc4fd5d18351d06deb9b8718c18333/tax-export/schedules" \  -H "Content-Type: application/json" \  -d '{    "email": "user@example.com",    "individual": {      "type": "individual",      "individualId": "string"    },    "recurrencePreset": "MONTHLY_START"  }'
Empty